## org.exist.xmldb.test.concurrent
Class DeadlockTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.concurrent.DeadlockTest

All Implemented Interfaces:
  junit.framework.Test

public class DeadlockTest
extends junit.framework.TestCase

Nested Class Summary
`static class` `DeadlockTest.WriterThread`

Field Summary
`static java.lang.String` `DOCUMENT_CONTENT`

Constructor Summary
`DeadlockTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testDeadlock()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOCUMENT_CONTENT

    public static final java.lang.String DOCUMENT_CONTENT

See Also:
  Constant Field Values

Constructor Detail

### DeadlockTest

    public DeadlockTest()

Method Detail

### testDeadlock

    public void testDeadlock()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.